package de.thpeetz.kontor

import org.springframework.context.annotation.Bean
import org.springframework.context.annotation.Configuration

@Configuration
class Navigation {

    @Bean
    fun links(): Iterable<Link> = listOf(
        Link("/comics", "Comics"),
        Link("/library","Library"),
        Link("/office", "HomeOffice"),
        Link("/tradingcards", "Trading Cards"),
        Link("/tysc","TradeYourSportsCards"),
        Link("/user/login", "<span class=\"glyphicon glyphicon-off\" aria-hidden=\"true\"></span>"),
        Link("/admin/","Admin")
    )

    @Bean
    fun login(): Iterable<Link> = listOf(Link("/user/login", "Login"))
}

data class Link(val link: String, val title: String)
